Post by reginamor » Sun Feb 21, 2016 7:54 am

Hola!

He actualizado a la última version y no se que ha pasado que se me ha cambiado todos los permisos de administrador y no me deja entrar a ningún sitio en el panel de control.
Todo es "permiso denegado"

Estuve intentando arreglarlo desde phpMyAdmin pero no me entero mucho, he seguido consejos para casos similares, pero he encontrado ningún caso que por actualizar la versión se quedara sin permisos.

Si alguien me puede ayudar lo agradezco.

User avatar
Active Member

Posts

Joined
Wed Sep 21, 2011 4:44 am

Post by reginamor » Sun Feb 21, 2016 8:02 am

al fin lo he encontrado en esta web

http://opencart-docs.blogspot.com.es/20 ... ng-to.html

User avatar
Active Member

Posts

Joined
Wed Sep 21, 2011 4:44 am

Post by CoverUp » Thu Feb 25, 2016 2:21 am

Así es, el migrar a la última versión no está implementado realmente.
Al ejecutar el "upgrade script", no figura ningún error, no obstante después ni siquiera puedes acceder a la tienda o zona administración.

Esto se debe a que el config.php de la versión anterior no posee el parametro DB_PORT que la nueva versión requiere y por tanto no se puede conectar a la BD y claro, nada funciona.

El problema es que no basta con agregar la definición, por que como muy bien comentas, luego no tienes permisos para acceder a ninguna zona del administrador.

Yo personalmente no soy de la idea de andar "parchando" código una y otra vez, por que a final de cuentas tu versión parchada terminará irremediablemente muy distinta a la versión pseudo "oficial".

Por lo tanto, respecto a la nueva versión, sería aconsejable decir que no es compatible con las versiones anteriores.

(hay un sin numero de otras caracteristicas como cambios en la serialización y modificaciones varias que la hacen diferente y no basta con sobreescribir arhivos y ya, sin considerar el supuesto nuevo sistema de templates que se quiere instaurar)

No posee actualmente un upgrade script, el que trae claramente no sirve y por tanto es equivalente a no tenerlo.

Dado que "deivid" es tan terco respecto a las mejoras y corrección de errores evidentes, dudo mucho que exista un soporte completo para las versiones previas, ni hablar si estas migrando desde 1.5 por ejemplo.

Por lo tanto, raya para la suma, yo asumiría esta nueva versión como una nueva diferente a las 2 últimas familias de versiones y por tanto, si se desea utilizar esta nueva versión, mejor instalar desde cero y empezar a migrar productos, categorias y clientes despues (en servidor de desarrollo)

Saludos

Desarrollador OpenCart: Chilexpress, Correos de Chile, Tur-Bus, Pullman Bus, Starken, WebPay Plus, Servipag y otros a pedido. Todos los trabajos estan garantizados y con factura electrónica.


Active Member

Posts

Joined
Tue Oct 21, 2014 12:22 am
Who is online

Users browsing this forum: No registered users and 5 guests